=== debian/changelog ===
rus-ispell (0.99e6-2) unstable; urgency=low

  * New maintainer (closes: #135059)
  * If any russian developer reads this and want to take the package, please
    get in touch with me. I do not speak a word of russian.

 -- Agustn Martn Domingo <agmartin@debian.org>  Tue, 26 Feb 2002 14:19:16 +0100

rus-ispell (0.99e6-1) unstable; urgency=low

  * New upstream version.
  * Changed maintainer field, russian-devel list is dead it seams.
  * Fixed spelling error (Closes: #124763)

 -- Peter Novodvorsky <nidd@debian.org>  Sat, 29 Dec 2001 19:26:21 +0300

rus-ispell (0.99e0-1) unstable; urgency=low

  * New upstream version. 

 -- Peter Novodvorsky <nidd@debian.org>  Fri, 15 Jun 2001 03:26:25 +0400

rus-ispell (0.99d6-3) unstable; urgency=low

  * Changed binary-indep to binary-arch. (Closes: #94860)

 -- Peter Novodvorsky <nidd@debian.org>  Sun, 22 Apr 2001 18:10:19 +0400

rus-ispell (0.99d6-2) unstable; urgency=low

  * Renamed Build-Depends-Indep to Build-Depends, because both
    buildhash and debhelper  are used in build rule. (Closes: #94718)

 -- Peter Novodvorsky <nidd@debian.org>  Sat, 21 Apr 2001 17:57:11 +0400

rus-ispell (0.99d6-1) unstable; urgency=low

  * Initial Release. (Closes: #84331)

 -- Peter Novodvorsky <nidd@debian.org>  Sat, 20 Jan 2001 03:14:39 +0300
