=== debian/control ===
Source: rus-ispell
Section: text
Priority: optional
Maintainer: Agustn Martn Domingo <agmartin@debian.org>
Build-Depends: debhelper, ispell
Standards-Version: 3.1.1

Package: irussian
Architecture: any
Provides: ispell-dictionary
Depends: ispell
Description: Russian dictionary for ispell
 This package contains a list of Russian words and 
 an affix file to be used with a well-known ispell 
 spelling checker.  
 .
 Dictionaries contain now over 90,100 basic words
 and produce over 892,000 related words
