=== debian/changelog ===
rus-ispell (0.99g5-28) unstable; urgency=medium

  * Drop myspell-tools build-dep. Use hunspell-tools ispellaff2myspell to
    generate aspell affix file (Closes: #1006131).
  * debian/copyright: Make DEP5.

 -- Agustin Martin Domingo <agmartin@debian.org>  Tue, 22 Feb 2022 21:30:04 +0100

rus-ispell (0.99g5-27) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on dictionaries-common-dev
      and dpkg-dev.

  [ Agustin Martin Domingo ]
  * debian/watch: Bump version.
  * debian/control:
    - Add Alexander Lebedev's Homepage.
    - Bump Standards-Version. No changes required.
  * Add some lintian overrides.

 -- Agustin Martin Domingo <agmartin@debian.org>  Wed, 06 Oct 2021 23:37:42 +0200

rus-ispell (0.99g5-26) unstable; urgency=medium

  * 0001-added_new_abbr.patch: Remove unsupported word.

 -- Agustin Martin Domingo <agmartin@debian.org>  Wed, 18 Aug 2021 20:14:24 +0200

rus-ispell (0.99g5-25) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since stretch:
    + Build-Depends: Drop versioned constraint on aspell.

  [ Agustin Martin Domingo ]
  * 0001-added_new_abbr.patch: New abbreviations by GreenSide
    Technology.
  * debian/control:
    - Add "Rules-Requires-Root: no".
    - Bump debhelper-compat to 13.
    - Bump Standards-Version to 4.5.1.

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon, 16 Aug 2021 19:19:18 +0200

rus-ispell (0.99g5-24) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 12.
  * Set debhelper-compat version in Build-Depends.

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon, 28 Dec 2020 18:19:28 +0100

rus-ispell (0.99g5-23) unstable; urgency=medium

  * debian/control: Mark myspell-ru as Multi-Arch: foreign.

 -- Agustin Martin Domingo <agmartin@debian.org>  Thu, 22 Nov 2018 17:18:31 +0100

rus-ispell (0.99g5-22) unstable; urgency=medium

  * Make myspell-ru a dummy transitional package depending on hunspell-ru
    Thanks Pander (Closes: #898748).
  * debian/control: Bump Standards-Version. No changes required.

 -- Agustin Martin Domingo <agmartin@debian.org>  Fri, 07 Sep 2018 11:30:25 +0200

rus-ispell (0.99g5-21) unstable; urgency=medium

  * debian/control:
    - Update Vcs-Browser and Vcs-Git for salsa migration.
    - Bump Standards-Version. No changes required.
  * Bump debhelper compat level to 11.

 -- Agustin Martin Domingo <agmartin@debian.org>  Fri, 04 May 2018 16:36:47 +0200

rus-ispell (0.99g5-20) unstable; urgency=medium

  * debian/rules: Do not pass timestamps to gzipped files.
  * debian/control: Bump Standards-Version. No changes required.

 -- Agustin Martin Domingo <agmartin@debian.org>  Thu, 09 Jul 2015 11:48:59 +0200

rus-ispell (0.99g5-19) unstable; urgency=low

  * debian/control:
   - Modify to use dictionaries-common-dev (>= 1.22.0) features:
      + ${ispell:Depends}, ${aspell:Depends}, ${hunspell:Depends}
      + Deal with remove files in debhelper snippet.
   - Build on at least dictionaries-common-dev (>= 1.23.3) to make
     sure dirs are available and cleaned as needed.
   - Bump Standards-Version. No changes required.
   - Add Vcs-Browser and Vcs-Git info for collab maint repo.

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon, 30 Jun 2014 16:04:30 +0200

rus-ispell (0.99g5-18) unstable; urgency=low

  * debian/rules: Migrate from cdbs to debhelper the code to make sure
    upstream old/README.orig is not removed by dh_clean.
  * debian/control:
    - Remove Martin-Éric Racine from Uploaders (Closes: #659322).
    - Put my name without accents to match changelog.

 -- Agustin Martin Domingo <agmartin@debian.org>  Fri, 10 Feb 2012 14:41:16 +0100

rus-ispell (0.99g5-17) unstable; urgency=low

  * debian/control: No need to version irussian dependency on ispell,
    we use ispell-autobuildhash.
  * debian/irussian.info-ispell: Revert to previous Language value and
    use Elanguage to fix displayed string (Closes: #657643).
    This may trigger a debconf question to go to previous value, but
    will make squeeze->wheezy upgrades smoother.
  * debian/myspell-ru.links: Remove, only created symlinks from ancient
    myspell dir.

 -- Agustin Martin Domingo <agmartin@debian.org>  Tue, 31 Jan 2012 15:57:24 +0100

rus-ispell (0.99g5-16) unstable; urgency=medium

  * Fixed typo in myspell-ru description (Closes: #646748).

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Fri, 28 Oct 2011 08:53:23 +0300

rus-ispell (0.99g5-15) unstable; urgency=medium

  * Urgency=medium because myspell-ru now Conflicts with hunspell-ru.
  * [aspell-ru.dirs]: deleted;
    + usr/lib/aspell and usr/share/aspell are created by [aspell-ru.install].
    + var/lib/aspell is handled by autobuildhash.
  * [irussian.dirs]: deleted;
    + usr/lib/ispell is created by [irussian.install].
  * [myspell-ru.info-hunspell]: created rudimentary Hunspell support.
  * [debian/rules]: added installdeb-hunspell --package=myspell-$(DICT_LANG).
  * [debian/control]: updated myspell Provides for hunspell.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Mon, 24 Oct 2011 13:28:23 +0300

rus-ispell (0.99g5-14) unstable; urgency=low

  * Bumped myspell-ru down to Priority:extra to conform with Policy Section 2.5
    "Note that optional packages should not conflict with each other."

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Fri, 21 Oct 2011 13:40:15 +0300

rus-ispell (0.99g5-13) unstable; urgency=low

  * myspell-ru Conflicts with hunspell-ru (Closes: #644881, #645317).

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Sat, 15 Oct 2011 11:16:52 +0300

rus-ispell (0.99g5-12) unstable; urgency=low

  * Migrated to debhelper-7 build system:
    + Simplified [debian/rules] to use a single dh command with overrides.
    + Bumped the Build-Depends on debhelper to (>= 7.0.50~).
    + Dropped the Build-Depends on CDBS.
  * Migrated to source format 3.0 (quilt).

