=== debian/control ===
Source: rus-ispell
Maintainer: Mikhail Gusarov <dottedmag@debian.org>
Uploaders: Agustin Martin Domingo <agmartin@debian.org>
Section: text
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dictionaries-common-dev,
               aspell,
               ispell,
               hunspell-tools,
	       locales-all
Standards-Version: 4.6.0.1
Homepage: http://scon155.phys.msu.su/eng/lebedev.html
Vcs-Browser: https://salsa.debian.org/debian/rus-ispell
Vcs-Git: https://salsa.debian.org/debian/rus-ispell.git
Rules-Requires-Root: no

Package: irussian
Architecture: all
Depends: debconf | debconf-2.0,
         ${misc:Depends},
         ${ispell:Depends}
Provides: ispell-dictionary
Description: Russian dictionary for Ispell
 This dictionary contains Russian wordlists for the Ispell spellchecker.
 .
 The dictionary contains over 122,200 stem words and produces over
 1,168,000 derivate words, including support for the :E (yo) letter.

Package: aspell-ru
Architecture: all
Depends: ${misc:Depends},
         ${aspell:Depends}
Provides: aspell-dictionary
Description: Russian dictionary for Aspell
 This dictionary contains Russian wordlists for the Aspell
 spellchecker currently supported by GNOME applications.
 .
 The dictionary is generated from the Ispell wordlist.

Package: myspell-ru
Architecture: all
Multi-Arch: foreign
Section: oldlibs
Depends: hunspell-ru,
	 ${misc:Depends}
Description: transitional dummy package
 This is a dependency package for migration to hunspell-ru
 This package is here only to ensure smooth upgrades from
 myspell-ru to hunspell-ru.
 It can be safely removed afterwards.
