=== debian/watch ===
version=4
ftp://scon155.phys.msu.su/pub/russian/ispell/rus-ispell-(.*)\.tar\.gz \
	debian uupdate --no-symlink
